/*=============================================================================*
 *  Copyright 2004 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/
package org.apache.ws;

import javax.xml.namespace.QName;

/**
 * SOAP 1.1 constants.
 *
 * @author Ian P. Springer
 */
public interface Soap1_1Constants
{
   /*============================ SOAP 1.1 Namespaces ===========================*/

   /**
    * Namespace prefix for SOAP 1.1 Envelope schema.
    */
   String NSPREFIX_SOAP_ENVELOPE = "soapenv";

   /**
    * Namespace URI for SOAP 1.1 Envelope schema.
    */
   String NSURI_SOAP_ENVELOPE = "http://schemas.xmlsoap.org/soap/envelope/";

   /**
    * Namespace prefix for SOAP 1.1 Encoding schema.
    */
   String NSPREFIX_SOAP_ENCODING = "soapenc";

   /**
    * Namespace URI for SOAP 1.1 Encoding schema.
    */
   String NSURI_SOAP_ENCODING = "http://schemas.xmlsoap.org/soap/encoding/";

   /*============================== SOAP 1.1 Faults =============================*/

   /**
    * Client fault.
    */
   QName FAULT_CLIENT = new QName( NSURI_SOAP_ENVELOPE, "Client", NSPREFIX_SOAP_ENVELOPE );

   /**
    * Server fault.
    */
   QName FAULT_SERVER = new QName( NSURI_SOAP_ENVELOPE, "Server", NSPREFIX_SOAP_ENVELOPE );

   /**
    * Must-understand fault.
    */
   QName FAULT_MUST_UNDERSTAND = new QName( NSURI_SOAP_ENVELOPE, "MustUnderstand", NSPREFIX_SOAP_ENVELOPE );

   /**
    * Version-mismatch fault.
    */
   QName FAULT_VERSION_MISMATCH = new QName( NSURI_SOAP_ENVELOPE, "VersionMismatch", NSPREFIX_SOAP_ENVELOPE );
}