package org.apache.ws.resource;

import org.apache.ws.resource.properties.ResourcePropertySet;

/**
 * A resource that has a properties document, as defined by WSRF-RP.
 */
public interface PropertiesResource extends Resource
{
    /**
    * Returns this resource's property set.
    *
    * @return this resource's property set
    */
   ResourcePropertySet getResourcePropertySet(  );

    /**
    * Sets this resource's property set.
    *
    * @param propSet a resource property set
    */
   void setResourcePropertySet( ResourcePropertySet propSet );
}
