/*=============================================================================*
 *  Copyright 2004 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/
package org.apache.ws.resource;


/**
 * LOG-DONE
 * This exception is raised when a {@link ResourceHome ResourceHome} implementation does not support removal of
 * resources.
 */
public class RemoveNotSupportedException
   extends ResourceException
{
   /**
    * Creates a new {@link RemoveNotSupportedException} object.
    */
   public RemoveNotSupportedException(  )
   {
   }

   /**
    * Creates a new {@link RemoveNotSupportedException} object.
    *
    * @param msg DOCUMENT_ME
    */
   public RemoveNotSupportedException( String msg )
   {
      super( msg );
   }

   /**
    * Creates a new {@link RemoveNotSupportedException} object.
    *
    * @param message DOCUMENT_ME
    * @param t       DOCUMENT_ME
    */
   public RemoveNotSupportedException( String    message,
                                       Throwable t )
   {
      super( message, t );
   }

   /**
    * Creates a new {@link RemoveNotSupportedException} object.
    *
    * @param ex DOCUMENT_ME
    */
   public RemoveNotSupportedException( Throwable ex )
   {
      super( ex );
   }
}