/*=============================================================================*
 *  Copyright 2004 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/
package org.apache.ws.resource;

import java.rmi.RemoteException;

/**
 * LOG-DONE
 * This is a basic exception raised by {@link ResourceContext ResourceContext} operations.
 */
public class ResourceContextException
   extends RemoteException
{
   /**
    * Creates a ResourceContextException without error message.
    */
   public ResourceContextException(  )
   {
   }

   /**
    * Creates a ResourceContextException with a given error message.
    *
    * @param message error message
    */
   public ResourceContextException( String message )
   {
      super( message );
   }

   /**
    * Creates a ResourceContextException with a given error message and nested exception.
    *
    * @param message   error message
    * @param exception nested exception/
    */
   public ResourceContextException( String    message,
                                    Throwable exception )
   {
      super( message, exception );
   }

   /**
    * Creates a ResourceContextException from a nested exception.
    *
    * @param exception nested exception
    */
   public ResourceContextException( Throwable exception )
   {
      super( "", exception );
   }
}