/*=============================================================================*
 *  Copyright 2004 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/
package org.apache.ws.resource;

import javax.wsdl.Service;
import javax.wsdl.Port;

/**
 * A WSRF resource definition.
 *
 * @author Ian Springer (ian DOT springer AT hp DOT com)
 */
public interface ResourceDefinition extends ResourceCapability
{

    /**
     * Returns the last portion of the service endpoint URL for this resource definition.
     *
     * @return the last portion of the service endpoint URL for this resource definition
     */
    String getName();

    /**
     * Returns the JWSDL Service for this resource definition.
     *
     * @return the JWSDL Service for this resource definition
     */
    Port getPort();

    /**
     * Returns the service endpoint URL for this resource definition.
     *
     * @return the service endpoint URL for this resource definition
     */
    String getEndpointURL();

}
