/*=============================================================================*
 *  Copyright 2004 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/
package org.apache.ws.resource;

import java.rmi.RemoteException;

/**
 * LOG-DONE
 * This is a basic exception raised by resources or {@link ResourceHome ResourceHome} operations.
 */
public class ResourceException
   extends RemoteException
{
   /**
    * Creates a ResourceException without error message.
    */
   public ResourceException(  )
   {
   }

   /**
    * Creates a ResourceException with a given error message.
    *
    * @param message error message
    */
   public ResourceException( String message )
   {
      super( message );
   }

   /**
    * Creates a ResourceException with a given error message and nested exception.
    *
    * @param message   error message
    * @param exception nested exception/
    */
   public ResourceException( String    message,
                             Throwable exception )
   {
      super( message, exception );
   }

   /**
    * Creates a ResourceException from a nested exception.
    *
    * @param exception nested exception
    */
   public ResourceException( Throwable exception )
   {
      super( "", exception );
   }
}