/*=============================================================================*
 *  Copyright 2004 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/
package org.apache.ws.resource.faults;

import org.apache.ws.resource.i18n.MessagesImpl;
import org.apache.ws.resource.properties.NamespaceVersionHolder;
import org.apache.ws.util.i18n.Messages;

import javax.xml.namespace.QName;

/**
 * WS-BaseFaults BaseFault XSD global element implemented as a Java exception.
 *
 * @author Ian P. Springer
 */
public final class BaseFaultException
        extends AbstractBaseFaultException
{

    public static final Messages MSG = MessagesImpl.getInstance();

    /**
     * Constructs a new NewBaseFaultException.
     *
     * @param faultString a message describing this fault
     */
    public BaseFaultException( NamespaceVersionHolder namespaces, String faultString )
    {
        super( namespaces, faultString );
    }

    /**
     * Returns the element name for this base fault.
     *
     * @return the element name for this base fault
     */
    public QName getBaseFaultName()
    {
        return new QName( getNamespaceSet().getBaseFaultsXsdNamespace(), "BaseFault", "wsbf" );
    }

}