/*=============================================================================*
 *  Copyright 2004 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/
package org.apache.ws.resource.handler.axis;

import org.apache.axis.EngineConfiguration;
import org.apache.axis.Handler;
import org.apache.axis.deployment.wsdd.WSDDProvider;
import org.apache.axis.deployment.wsdd.WSDDService;

/**
 * LOG-DONE
 * A WSRF Wsdd Provider Factory for use in Axis.
 * {@link WSDDProvider}
 *
 * @author Sal Campana
 */
public class ResourceProviderFactory
   extends WSDDProvider
{
   /**
    * Provider Name for use in the servier-config.wsdd file  (i.e. provider="java:WSRF")
    */
   public static final String PROVIDER_WSRF = "WSRF";

   /**
    * @see WSDDProvider#getName()
    */
   public String getName(  )
   {
      return PROVIDER_WSRF;
   }

   /**
    * @see WSDDProvider#newProviderInstance(WSDDService, EngineConfiguration)
    */
   public Handler newProviderInstance( WSDDService         service,
                                       EngineConfiguration registry )
   throws Exception
   {
      return new ResourceProvider(  );
   }
}