/*=============================================================================*
 *  Copyright 2004 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/
package org.apache.ws.resource.handler.axis;

import org.apache.axis.transport.http.AxisServlet;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.ws.resource.i18n.Keys;
import org.apache.ws.resource.i18n.MessagesImpl;
import org.apache.ws.util.i18n.Messages;
import org.apache.ws.util.jndi.XmlBeanJndiUtils;

import javax.servlet.ServletException;

/**
 * LOG-DONE
 * Extension to Axis servlet used to initialize and destroy the registration manager, which manages WS-Resources.
 *
 * @author Sal Campana
 * @author Ian P. Springer
 */
public class WsrfAxisServlet
      extends AxisServlet
{
   /**
    * DOCUMENT_ME
    */
   private static final Log LOG = LogFactory.getLog( WsrfAxisServlet.class.getName() );
   public static final Messages MSG = MessagesImpl.getInstance();

   /**
    * Initialize the registration manager and runs resource discovery.
    *
    * @throws ServletException on error
    */
   public void init()
         throws ServletException
   {
      try
      {
         LOG.info(MSG.getMessage(Keys.INIT_SERVLET_AND_JNDI,this.getClass().getName(),XmlBeanJndiUtils.JNDI_CONFIG_FILENAME));
         XmlBeanJndiUtils.initializeFromInputStream(Thread.currentThread().getContextClassLoader().getResourceAsStream(XmlBeanJndiUtils.JNDI_CONFIG_FILENAME));
      }
      catch ( Exception e )
      {
         e.printStackTrace();
         throw new ServletException( e );
      }

      super.init();
      LOG.info(MSG.getMessage(Keys.CLASS_IS_INITIALIZED,this.getClass().getName()));
   }

}