/*=============================================================================*
 *  Copyright 2004 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/
package org.apache.ws.resource.lifetime;

/**
 * LOG-DONE TODO
 *
 * @author Ian P. Springer (Hewlett-Packard Company)
 */
public class ResourceNotDestroyedException
        extends Exception
{
    private Object m_resourceId;
    private String m_serviceName;

    /**
     * @param resourceId
     * @param serviceName
     */
    public ResourceNotDestroyedException( Object resourceId,
                                          String serviceName )
    {
        super( serviceName + " resource with Id " + resourceId + " could not be destroyed." );
        m_resourceId = resourceId;
        m_serviceName = serviceName;
    }

    /**
     * DOCUMENT_ME
     *
     * @return DOCUMENT_ME
     */
    public Object getResourceId()
    {
        return m_resourceId;
    }

    /**
     * DOCUMENT_ME
     *
     * @return DOCUMENT_ME
     */
    public String getServiceName()
    {
        return m_serviceName;
    }

}