/*=============================================================================*
 *  Copyright 2004 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/
package org.apache.ws.resource.lifetime;

import org.apache.ws.resource.Resource;

import java.util.Calendar;

/**
 * Interface that contains operations which expose the state associated with the wsrlw:ScheduledResourceTermination
 * portType.
 */
public interface ScheduledResourceTerminationResource
   extends Resource
{
    
   /**
    * Get the current time
    *
    * @return The current time
    */
   Calendar getCurrentTime(  );

   /**
    * Set the termination time
    *
    * @param time The termination time to set
    */
   void setTerminationTime( Calendar time );

   /**
    * Get the termination time
    *
    * @return The termination time
    */
   Calendar getTerminationTime(  );

}