/*=============================================================================*
 *  Copyright 2004 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/
package org.apache.ws.resource.lifetime.callback;

import org.apache.ws.resource.properties.ResourceProperty;
import org.apache.ws.resource.properties.ResourcePropertyCallback;
import org.apache.ws.resource.properties.XmlBeansResourcePropertyUtils;
import org.apache.ws.resource.properties.impl.XmlBeansResourceProperty;

import java.util.Calendar;

/**
 * A callback for the WSRF-RL CurrentTime property - assumes the property is implemented
 * as an XMLBean.
 *
 * @author Ian Springer
 */
public class CurrentTimeCallback implements ResourcePropertyCallback
{

    public ResourceProperty refreshProperty( ResourceProperty prop )
    {
        XmlBeansResourcePropertyUtils.setDateTimePropertyValue( (XmlBeansResourceProperty)prop, Calendar.getInstance( ) );
        return prop;
    }

}
