/*=============================================================================*
 *  Copyright 2004 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/
package org.apache.ws.resource.lifetime.v1_2_draft04;

/**
 * Constants for names defined by the WSRF-RL v1.2 draft 04 specification.
 */
public interface ResourceLifetime1_2Constants
{

   /**
    * Namespace URI for WS-ResourceLifetime schema.
    */
   String NSURI_WSRL_SCHEMA = "http://docs.oasis-open.org/wsrf/2004/11/wsrf-WS-ResourceLifetime-1.2-draft-04.xsd";

   /**
    * Namespace prefix for WS-ResourceLifetime schema.
    */
   String NSPREFIX_WSRL_SCHEMA = "wsrf-rl";

   /**
    * Namespace URI for WS-ResourceLifetime WSDL.
    */
   String NSURI_WSRL_WSDL = "http://docs.oasis-open.org/wsrf/2004/11/wsrf-WS-ResourceLifetime-1.2-draft-04.wsdl";

   /**
    * Namespace prefix for WS-ResourceLifetime WSDL.
    */
   String NSPREFIX_WSRL_WSDL = "wsrf-rlw";

}