/*=============================================================================*
 *  Copyright 2004 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/
package org.apache.ws.resource.lifetime.v1_2_draft04.porttype;

import org.apache.ws.resource.lifetime.v1_2_draft04.ResourceLifetime1_2Constants;
import org.oasisOpen.docs.wsrf.x2004.x11.wsrfWSResourceLifetime12Draft04.DestroyDocument;
import org.oasisOpen.docs.wsrf.x2004.x11.wsrfWSResourceLifetime12Draft04.DestroyResponseDocument;

import javax.xml.namespace.QName;

/**
 * The WSRF-RL ImmediateResourceTermination portType.
 *
 * @author Ian P. Springer (Hewlett-Packard Company)
 */
public interface ImmediateResourceTerminationPortType
{

   QName NAME = new QName( ResourceLifetime1_2Constants.NSURI_WSRL_WSDL, "ImmediateResourceTermination", ResourceLifetime1_2Constants.NSPREFIX_WSRL_WSDL );

    /**
    * DOCUMENT_ME
    *
    * @param requestDoc DOCUMENT_ME
    *
    * @return DOCUMENT_ME
    */
   DestroyResponseDocument destroy( DestroyDocument requestDoc );
}