package org.apache.ws.resource.properties;

/**
 * Interface used for maintaining a set of versions of namespaces for
 * a given collection of specifications.
 *
 * The point to this interface is as each draft of the WSRF specifications
 * come out, we can have an impl which will point us to all the correct
 * namespaces for use in polymorphic-versionless class....
 *
 * @author Sal Campana
 */
public interface  NamespaceVersionHolder
{
    String getPropertiesXsdNamespace();
    String getLifetimeXsdNamespace();
    String getBaseFaultsXsdNamespace();
    String getAddressingNamespace();
    String getServiceGroupsXsdNamespace();
}
