/*=============================================================================*
 *  Copyright 2004 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/
package org.apache.ws.resource.properties;

/**
 * A callback that should be registered on any property whose value
 * on the managed resource may change. Register the callback by calling
 * {@link ResourceProperty#setCallback(ResourcePropertyCallback)} on the
 * property.
 */
public interface ResourcePropertyCallback
{

    /**
     * This method is called by the all of the WSRP PortType impls, prior
     * to performing any work, in order to ensure the resource properties
     * accurately reflect the current state of the managed resource.
     *
     * @param prop the property to be refreshed
     *
     * @return the refreshed property
     */
    ResourceProperty refreshProperty( ResourceProperty prop );

}
