/*
 * Copyright 2004 The Apache Software Foundation.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.apache.ws.resource.properties;

/**
 * @author Ian P. Springer (Hewlett-Packard Company)
 */
public interface ResourcePropertyValueChangeEvent
{

    /**
     * Returns the old value of the property, as an array of property elements; may be null.
     *
     * @return the old value of the property, as an array of property elements; may be null
     */
    Object[] getOldValue();

    /**
     * Returns the new value of the property, as an array of property elements; may be null.
     *
     * @return the new value of the property, as an array of property elements; may be null
     */
    Object[] getNewValue();

}
