/*
 * Copyright 2004 The Apache Software Foundation.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.apache.ws.resource.properties.impl;

import org.apache.ws.XmlObjectWrapper;
import org.apache.ws.resource.properties.ResourcePropertyValueChangeEvent;
import org.apache.xmlbeans.XmlObject;

/**
 * @author Ian P. Springer (Hewlett-Packard Company)
 */
public abstract class AbstractXmlBeansResourcePropertyValueChangeEvent implements ResourcePropertyValueChangeEvent, XmlObjectWrapper
{

    private Object[] m_oldValue;
    private Object[] m_newValue;
    private XmlObject m_propValueChangeNotifDocXBean;

    public AbstractXmlBeansResourcePropertyValueChangeEvent( Object[] oldValue, Object[] newValue )
    {
        m_oldValue = oldValue;
        m_newValue = newValue;
        m_propValueChangeNotifDocXBean = buildPropValueChangeNotifDocXmlBean( oldValue, newValue );
    }

    public Object[] getOldValue()
    {
        return m_oldValue;
    }

    public Object[] getNewValue()
    {
        return m_newValue;
    }

    public XmlObject getXmlObject()
    {
        return m_propValueChangeNotifDocXBean;
    }

    protected abstract XmlObject buildPropValueChangeNotifDocXmlBean( Object[] oldValue, Object[] newValue );
}