/*=============================================================================*
 *  Copyright 2004 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/
package org.apache.ws.resource.properties.impl;

import org.apache.xmlbeans.XmlObject;

import javax.xml.namespace.QName;

/**
 * LOG-DONE
 * @author Ian P. Springer
 */
public class AnyResourcePropertyMetaData
   extends XmlBeansResourcePropertyMetaData
{
   private QName m_name;

   /**
    * Creates a new {@link AnyResourcePropertyMetaData} object.
    *
    * @param name DOCUMENT_ME
    */
   public AnyResourcePropertyMetaData( QName name )
   {
      this( name, false );
   }

   /**
    * Creates a new {@link AnyResourcePropertyMetaData} object.
    *
    * @param name DOCUMENT_ME
    * @param isReadOnly DOCUMENT_ME
    */
   public AnyResourcePropertyMetaData( QName   name,
                                       boolean isReadOnly )
   {
      super( null, isReadOnly );
      m_name = name;
   }

   /**
    * DOCUMENT_ME
    *
    * @return DOCUMENT_ME
    */
   public boolean isAny(  )
   {
      return true;
   }

   /**
    * DOCUMENT_ME
    *
    * @return DOCUMENT_ME
    */
   public int getMaxOccurs(  )
   {
      return -1;
   }

   /**
    * DOCUMENT_ME
    *
    * @return DOCUMENT_ME
    */
   public int getMinOccurs(  )
   {
      return 0;
   }

   /**
    * DOCUMENT_ME
    *
    * @return DOCUMENT_ME
    */
   public QName getName(  )
   {
      return m_name;
   }

   /**
    * DOCUMENT_ME
    *
    * @return DOCUMENT_ME
    */
   public boolean isNillable(  )
   {
      return false;
   }

   /**
    * DOCUMENT_ME
    *
    * @return DOCUMENT_ME
    */
   public Class getType(  )
   {
      return XmlObject.class;
   }
}