/*=============================================================================*
 *  Copyright 2004 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/
package org.apache.ws.resource.properties.query;

import org.apache.ws.resource.i18n.Keys;
import org.apache.ws.resource.i18n.MessagesImpl;
import org.apache.ws.util.i18n.Messages;


/**
 * Indicates the given Query Expression is not valid within the QueryExpression language identified by the dialect
 * attribute.
 */
public class InvalidQueryExpressionException
   extends Exception
{
   private QueryExpression m_queryExpr;
   public static final Messages MSG = MessagesImpl.getInstance();
   /**
    * Creates a new {@link InvalidQueryExpressionException} object.
    *
    * @param queryExpr DOCUMENT_ME
    */
   public InvalidQueryExpressionException( QueryExpression queryExpr )
   {
      super( MSG.getMessage( Keys.INVALID_EXPRESSION,queryExpr ));
      m_queryExpr = queryExpr;
   }

   /**
    * DOCUMENT_ME
    *
    * @return DOCUMENT_ME
    */
   public QueryExpression getQueryExpression(  )
   {
      return m_queryExpr;
   }
}