/*=============================================================================*
 *  Copyright 2004 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/
package org.apache.ws.resource.properties.query;

import javax.xml.rpc.JAXRPCException;
import java.net.URI;
import java.net.URISyntaxException;

/**
 * @author Ian P. Springer
 */
public interface QueryConstants
{
   /**
    * XPath 1.0 Dialect URI
    */
   URI DIALECT_URI__XPATH1_0 = Initializer.XPATH1_0;

   /**
    * XPath 2.0 Dialect URI
    */
   URI DIALECT_URI__XPATH2_0 = Initializer.XPATH2_0;

   /**
    * DOCUMENT_ME
    *
    * @author $author$
    * @version $Revision: 1.4 $
    */
   static class Initializer
   {
      /**
       * DOCUMENT_ME
       */
      public static URI XPATH1_0;

      /**
       * DOCUMENT_ME
       */
      public static URI XPATH2_0;

      static
      {
         try
         {
            XPATH1_0 = new URI( "http://www.w3.org/TR/1999/REC-xpath-19991116" );
         }
         catch ( URISyntaxException urise )
         {
            throw new JAXRPCException( urise );
         }

         try
         {
            XPATH2_0 = new URI( "http://www.w3.org/TR/2003/WD-xpath20-20031112" );
         }
         catch ( URISyntaxException urise )
         {
            throw new JAXRPCException( urise );
         }
      }
   }
}