/*=============================================================================*
 *  Copyright 2004 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/
package org.apache.ws.resource.properties.query;

import org.apache.ws.resource.i18n.Keys;
import org.apache.ws.resource.i18n.MessagesImpl;
import org.apache.ws.util.i18n.Messages;

import java.net.URI;

/**
 * Indicates that the given QueryExpression has a dialect that is unknown to the Web service.
 */
public class UnknownQueryExpressionDialectException
   extends Exception
{
   private URI m_dialect;
   public static final Messages MSG = MessagesImpl.getInstance();
   /**
    * Creates a QueryException without error message.
    */
   public UnknownQueryExpressionDialectException( URI dialect )
   {
      super( MSG.getMessage( Keys.UNSUPP_DIALECT,dialect ));
      m_dialect = dialect;
   }

   /**
    * DOCUMENT_ME
    *
    * @return DOCUMENT_ME
    */
   public URI getDialect(  )
   {
      return m_dialect;
   }
}