/*
 * Copyright 2004 The Apache Software Foundation.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.apache.ws.resource.properties.v1_2_draft05.impl;

import org.apache.ws.XmlObjectWrapper;
import org.apache.ws.resource.properties.ResourcePropertyValueChangeEvent;
import org.apache.ws.resource.properties.impl.AbstractXmlBeansResourcePropertyValueChangeEvent;
import org.apache.ws.util.XmlBeanUtils;
import org.apache.xmlbeans.XmlObject;
import org.oasisOpen.docs.wsrf.x2004.x11.wsrfWSResourceProperties12Draft05.ResourcePropertyValueChangeNotificationDocument;
import org.oasisOpen.docs.wsrf.x2004.x11.wsrfWSResourceProperties12Draft05.ResourcePropertyValueChangeNotificationType;

/**
 * @author Ian P. Springer (Hewlett-Packard Company)
 */
public class XmlBeansResourcePropertyValueChangeEvent extends AbstractXmlBeansResourcePropertyValueChangeEvent implements ResourcePropertyValueChangeEvent, XmlObjectWrapper
{
    public XmlBeansResourcePropertyValueChangeEvent(Object[] oldValue, Object[] newValue)
    {
        super(oldValue, newValue);
    }

    protected XmlObject buildPropValueChangeNotifDocXmlBean( Object[] oldValue, Object[] newValue )
    {
        ResourcePropertyValueChangeNotificationDocument propValueChangeNotifDocXBean = ResourcePropertyValueChangeNotificationDocument.Factory.newInstance();
        ResourcePropertyValueChangeNotificationType propValueChangeNotifXBean = propValueChangeNotifDocXBean.addNewResourcePropertyValueChangeNotification();
        ResourcePropertyValueChangeNotificationType.OldValue oldValueXBean = propValueChangeNotifXBean.addNewOldValue();
        if ( oldValue != null )
        {
            for ( int i = 0; i < oldValue.length; i++ )
            {
                XmlBeanUtils.addChildElement( oldValueXBean, (XmlObject) oldValue[i] );
            }
        }
        else
        {
            oldValueXBean.setNil();
        }
        ResourcePropertyValueChangeNotificationType.NewValue newValueXBean = propValueChangeNotifXBean.addNewNewValue();
        if ( newValue != null )
        {
            for ( int i = 0; i < oldValue.length; i++ )
            {
                XmlBeanUtils.addChildElement( newValueXBean, (XmlObject) newValue[i] );
            }
        }
        else
        {
            newValueXBean.setNil();
        }
        return propValueChangeNotifDocXBean;
    }

}
