package org.apache.ws.resource.properties.v1_2_draft05.porttype.impl;

import org.apache.ws.resource.ResourceContext;
import org.apache.ws.resource.properties.NamespaceVersionHolder;
import org.apache.ws.resource.properties.ResourceProperty;
import org.apache.ws.resource.properties.impl.AbstractGetResourcePropertiesPortType;
import org.apache.ws.resource.properties.v1_2_draft05.porttype.GetMultipleResourcePropertiesPortType;
import org.apache.ws.resource.properties.v1_2_draft05.impl.NamespaceVersionHolderImpl;
import org.oasisOpen.docs.wsrf.x2004.x11.wsrfWSResourceProperties12Draft05.GetMultipleResourcePropertiesDocument;
import org.oasisOpen.docs.wsrf.x2004.x11.wsrfWSResourceProperties12Draft05.GetMultipleResourcePropertiesResponseDocument;

import javax.xml.namespace.QName;

/**
 * @author Ian Springer
 */
public class GetMultipleResourcePropertiesPortTypeImpl extends AbstractGetResourcePropertiesPortType
        implements GetMultipleResourcePropertiesPortType
{

    private static final NamespaceVersionHolder NAMESPACE_SET = new NamespaceVersionHolderImpl();

    /**
     * Creates a new {@link GetMultipleResourcePropertiesPortTypeImpl} object.
     *
     * @param resourceContext DOCUMENT_ME
     */
    public GetMultipleResourcePropertiesPortTypeImpl( ResourceContext resourceContext )
    {
        super( resourceContext );
    }

    /**
     * DOCUMENT_ME
     *
     * @param requestDoc DOCUMENT_ME
     *
     * @return DOCUMENT_ME
     */
    public GetMultipleResourcePropertiesResponseDocument getMultipleResourceProperties(
            GetMultipleResourcePropertiesDocument requestDoc )
    {
        GetMultipleResourcePropertiesResponseDocument responseDoc = createResponseDocument();
        QName[] propNames = requestDoc.getGetMultipleResourceProperties().getResourcePropertyArray();
        ResourceProperty[] props = getMultipleProperties( propNames );
        addPropertiesToResponse( props, responseDoc.getGetMultipleResourcePropertiesResponse() );
        return responseDoc;
    }


    private GetMultipleResourcePropertiesResponseDocument createResponseDocument()
    {
        GetMultipleResourcePropertiesResponseDocument responseDoc = GetMultipleResourcePropertiesResponseDocument.Factory.newInstance();
        responseDoc.addNewGetMultipleResourcePropertiesResponse();
        return responseDoc;
    }

    protected NamespaceVersionHolder getNamespaceSet()
    {
        return NAMESPACE_SET;
    }
}
