package org.apache.ws.resource.properties.v1_2_draft05.porttype.impl;

import org.apache.ws.resource.ResourceContext;
import org.apache.ws.resource.properties.NamespaceVersionHolder;
import org.apache.ws.resource.properties.impl.AbstractSetResourcePropertiesPortType;
import org.apache.ws.resource.properties.v1_2_draft05.porttype.InsertResourcePropertiesPortType;
import org.apache.ws.resource.properties.v1_2_draft05.impl.NamespaceVersionHolderImpl;
import org.apache.ws.util.XmlBeanUtils;
import org.apache.xmlbeans.XmlObject;
import org.oasisOpen.docs.wsrf.x2004.x11.wsrfWSResourceProperties12Draft05.InsertResourcePropertiesDocument;
import org.oasisOpen.docs.wsrf.x2004.x11.wsrfWSResourceProperties12Draft05.InsertResourcePropertiesResponseDocument;

/**
 * @author Sal Campana
 */
public class InsertResourcePropertiesPortTypeImpl extends AbstractSetResourcePropertiesPortType
        implements InsertResourcePropertiesPortType
{

    private static final NamespaceVersionHolder NAMESPACE_SET = new NamespaceVersionHolderImpl();

    /**
     * Creates a new {@link InsertResourcePropertiesPortTypeImpl} object.
     *
     * @param resourceContext DOCUMENT_ME
     */
    public InsertResourcePropertiesPortTypeImpl( ResourceContext resourceContext )
    {
        super( resourceContext );
    }

    /**
     * DOCUMENT_ME
     *
     * @param requestDoc DOCUMENT_ME
     *
     * @return DOCUMENT_ME
     */
    public InsertResourcePropertiesResponseDocument insertResourceProperties(
            InsertResourcePropertiesDocument requestDoc )
    {
        InsertResourcePropertiesResponseDocument responseDoc = createResponseDocument();
        InsertResourcePropertiesDocument.InsertResourceProperties requestElem = requestDoc.getInsertResourceProperties();
        XmlObject[] propElemsToBeInserted = XmlBeanUtils.getChildElements( requestElem.getInsert() );
        insertResourceProperty( propElemsToBeInserted );
        return responseDoc;
    }

    private InsertResourcePropertiesResponseDocument createResponseDocument()
    {
        InsertResourcePropertiesResponseDocument responseDoc = InsertResourcePropertiesResponseDocument.Factory.newInstance();
        responseDoc.addNewInsertResourcePropertiesResponse();
        return responseDoc;
    }

    protected NamespaceVersionHolder getNamespaceSet()
    {
        return NAMESPACE_SET;
    }
    
}
