/*
 * Copyright 2004 The Apache Software Foundation.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.apache.ws.resource.servicegroup.v1_2_draft01.porttype;

import org.apache.ws.resource.properties.v1_2_draft01.porttype.GetResourcePropertyPortType;
import org.apache.ws.resource.servicegroup.v1_2_draft01.ServiceGroup1_2Constants;

import javax.xml.namespace.QName;

/**
 * The WSRF-SG ServiceGroupEntry portType.
 *
 * @author Ian P. Springer (Hewlett-Packard Company)
 */
public interface ServiceGroupEntryPortType extends GetResourcePropertyPortType
{

    QName NAME = new QName( ServiceGroup1_2Constants.NSURI_WSSG_WSDL, "ServiceGroupEntry", ServiceGroup1_2Constants.NSPREFIX_WSSG_WSDL );

    /**
     * "ServiceGroupEPR" property (type="wsa:EndpointReferenceType", minOccurs="1", maxOccurs="1").
     */
    QName PROP_NAME_SERVICE_GROUP_EPR = new QName( ServiceGroup1_2Constants.NSURI_WSSG_SCHEMA, "ServiceGroupEPR", ServiceGroup1_2Constants.NSPREFIX_WSSG_SCHEMA );

    /**
     * "MemberEPR" property (type="wsa:EndpointReferenceType", minOccurs="1", maxOccurs="1").
     */
    QName PROP_NAME_MEMBER_EPR = new QName( ServiceGroup1_2Constants.NSURI_WSSG_SCHEMA, "MemberEPR", ServiceGroup1_2Constants.NSPREFIX_WSSG_SCHEMA );

    /**
     * "Content" property (type="xsd:anyType", minOccurs="1", maxOccurs="1").
     */
    QName PROP_NAME_CONTENT = new QName( ServiceGroup1_2Constants.NSURI_WSSG_SCHEMA, "Content", ServiceGroup1_2Constants.NSPREFIX_WSSG_SCHEMA );

}
