/*
 * Copyright 2004 The Apache Software Foundation.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.apache.ws.resource.servicegroup.v1_2_draft01.porttype;

import org.apache.ws.resource.properties.v1_2_draft01.porttype.GetResourcePropertyPortType;
import org.apache.ws.resource.servicegroup.v1_2_draft01.ServiceGroup1_2Constants;
import org.oasisOpen.docs.wsrf.x2004.x06.wsrfWSServiceGroup12Draft01.AddDocument;
import org.oasisOpen.docs.wsrf.x2004.x06.wsrfWSServiceGroup12Draft01.AddResponseDocument;

import javax.xml.namespace.QName;

/**
 * The WSRF-SG ServiceGroupRegistration portType.
 *
 * @author Ian P. Springer (Hewlett-Packard Company)
 */
public interface ServiceGroupRegistrationPortType extends GetResourcePropertyPortType
{

    QName NAME = new QName( ServiceGroup1_2Constants.NSURI_WSSG_WSDL, "ServiceGroupRegistration", ServiceGroup1_2Constants.NSPREFIX_WSSG_WSDL );

    /**
     * "MembershipContent" property (type="wsa:EndpointReferenceType", minOccurs="0", maxOccurs="unbounded").
     */
    QName PROP_NAME_MEMBERSHIP_CONTENT_RULE = new QName( ServiceGroup1_2Constants.NSURI_WSSG_SCHEMA, "MembershipContentRule", ServiceGroup1_2Constants.NSPREFIX_WSSG_SCHEMA );

    /**
     * "Entry" property (type="wssg:EntryType", minOccurs="0", maxOccurs="unbounded")
     */
    QName PROP_NAME_ENTRY = new QName( ServiceGroup1_2Constants.NSURI_WSSG_SCHEMA, "Entry", ServiceGroup1_2Constants.NSPREFIX_WSSG_SCHEMA );

    /**
     *
     * @param requestDoc
     * @return
     */
    AddResponseDocument add( AddDocument requestDoc );

}
