/*=============================================================================*
 *  Copyright 2004 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/
package org.apache.ws.resource.servicegroup.v1_2_draft03;

/**
 * Constants for names defined by the WSRF-SG v1.2 draft 03 specification.
 */
public interface ServiceGroup1_2Constants
{

    /**
     * Namespace URI for WS-ServiceGroup schema.
     */
    String NSURI_WSSG_SCHEMA = "http://docs.oasis-open.org/wsrf/2004/11/wsrf-WS-ServiceGroup-1.2-draft-03.xsd";

    /**
     * Namespace prefix for WS-ServiceGroup schema.
     */
    String NSPREFIX_WSSG_SCHEMA = "wsrf-sg";

    /**
     * Namespace URI for WS-ServiceGroup WSDL.
     */
    String NSURI_WSSG_WSDL = "http://docs.oasis-open.org/wsrf/2004/11/wsrf-WS-ServiceGroup-1.2-draft-03.wsdl";

    /**
     * Namespace prefix for WS-ServiceGroup WSDL.
     */
    String NSPREFIX_WSSG_WSDL = "wsrf-sgw";

}