/*=============================================================================*
 *  Copyright 2004 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/
package org.apache.ws.resource.tool.porttype.v1_2_draft05;

import org.apache.ws.resource.lifetime.ScheduledResourceTerminationResource;
import org.apache.ws.resource.lifetime.v1_2_draft04.porttype.ScheduledResourceTerminationPortType;
import org.apache.ws.resource.tool.PortType2JavaInfo;

import javax.xml.namespace.QName;

/**
 * TODO
 *
 * @author Ian Springer (ian DOT springer AT hp DOT com)
 */
public class ScheduledResourceTerminationPortType2JavaInfo extends PortType2JavaInfo
{

    public QName getName()
    {
        return ScheduledResourceTerminationPortType.NAME;
    }

    public String getResourceInterfaceName()
    {
        return ScheduledResourceTerminationResource.class.getName();
    }

    public String getServiceInterfaceName()
    {
        return ScheduledResourceTerminationPortType.class.getName();
    }

    public String getResourceTemplateFileName()
    {
        return "templates/1_2_draft05/ScheduledResourceTerminationResource.txt";
    }

    public String getServiceTemplateFileName()
    {
        return "templates/1_2_draft05/SetTerminationTime.txt";
    }

    public String getAbstractResourceInitMethodIncludeLocation()
    {
        return "templates/1_2_draft05/ScheduledResourceTermination-AbstractResource_init.txt";
    }

}
