/*=============================================================================*
 *  Copyright 2004 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/
package org.apache.ws.util;

import org.apache.xmlbeans.impl.common.NameUtil;

import javax.xml.namespace.QName;

/**
 * TODO
 *
 * @author Ian Springer
 */
public class XmlBeanNameUtils
{

    /**
     * DOCUMENT_ME
     *
     * @param propsDocElemQName DOCUMENT_ME
     *
     * @return DOCUMENT_ME
     */
    public static String getElementXmlBeanClassName( final QName propsDocElemQName )
    {
       return getDocumentElementXmlBeanClassName( propsDocElemQName ) + "."
              + getElementXmlBeanUnqualifiedClassName( propsDocElemQName );
    }

    /**
     * DOCUMENT_ME
     *
     * @param propsDocElemQName DOCUMENT_ME
     *
     * @return DOCUMENT_ME
     */
    public static String getElementXmlBeanUnqualifiedClassName( QName propsDocElemQName )
    {
       String props_xml_bean_class_name = NameUtil.getClassNameFromQName( propsDocElemQName );
       return props_xml_bean_class_name.substring( props_xml_bean_class_name.lastIndexOf( '.' ) + 1 );
    }

    /**
     * DOCUMENT_ME
     *
     * @param propsDocElemQName DOCUMENT_ME
     *
     * @return DOCUMENT_ME
     */
    public static String getDocumentElementXmlBeanClassName( QName propsDocElemQName )
    {
       return NameUtil.getClassNameFromQName( propsDocElemQName ) + "Document";
    }

    /**
     * DOCUMENT_ME
     *
     * @param propsDocElemQName DOCUMENT_ME
     *
     * @return DOCUMENT_ME
     */
    public static String getDocumentElementXmlBeanFactoryClassName( QName propsDocElemQName )
    {
       return getDocumentElementXmlBeanClassName( propsDocElemQName ) + "$Factory";
    }

}
