/*=============================================================================*
 *  Copyright 2004 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/
package org.apache.ws.util.jndi;

import org.apache.axis.AxisEngine;

/**
 * DOCUMENT_ME
 *
 * @author $author$
 * @version $Revision: 1.3 $
 */
public class ServiceResourceRef
   extends org.apache.naming.ResourceRef
{
   private AxisEngine engine;
   private String     name;

   /**
    * Creates a new {@link ServiceResourceRef} object.
    *
    * @param resourceClass DOCUMENT_ME
    * @param description   DOCUMENT_ME
    * @param scope         DOCUMENT_ME
    * @param auth          DOCUMENT_ME
    * @param engine        DOCUMENT_ME
    * @param serviceName   DOCUMENT_ME
    */
   public ServiceResourceRef( String     resourceClass,
                              String     description,
                              String     scope,
                              String     auth,
                              AxisEngine engine,
                              String     serviceName )
   {
      super( resourceClass, description, scope, auth, null, null );
      this.engine    = engine;
      this.name      = serviceName;
   }

   /**
    * DOCUMENT_ME
    *
    * @return DOCUMENT_ME
    */
   public AxisEngine getAxisEngine(  )
   {
      return this.engine;
   }

   /**
    * DOCUMENT_ME
    *
    * @return DOCUMENT_ME
    */
   public String getServiceName(  )
   {
      return this.name;
   }
}