/*=============================================================================*
 *  Copyright 2004 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/
package org.apache.ws.util.jndi.tools;

import org.apache.commons.digester.Digester;
import org.apache.commons.digester.RuleSetBase;

/**    LOG-DONE
 * DOCUMENT_ME
 *
 * @author $author$
 * @version $Revision: 1.4 $
 */
public class ParameterRuleSet
   extends RuleSetBase
{
   /**
    * DOCUMENT_ME
    */
   protected String prefix = null;

   /**
    * Creates a new {@link ParameterRuleSet} object.
    */
   public ParameterRuleSet(  )
   {
      this( "" );
   }

   /**
    * Creates a new {@link ParameterRuleSet} object.
    *
    * @param prefix DOCUMENT_ME
    */
   public ParameterRuleSet( String prefix )
   {
      super(  );
      this.prefix          = prefix;
      this.namespaceURI    = "http://wsrf.globus.org/jndi/config";
   }

   /* (non-Javadoc)
    * @see org.apache.commons.digester.RuleSet#addRuleInstances(org.apache.commons.digester.Digester)
    */
   public void addRuleInstances( Digester digester )
   {
      digester.addObjectCreate( prefix + "resourceParams", ResourceParameters.class );
      digester.addSetProperties( prefix + "resourceParams" );
      digester.addSetNext( prefix + "resourceParams", "setParameters" );
      digester.addCallMethod( prefix + "resourceParams/parameter", "addParameter", 2 );
      digester.addCallParam( prefix + "resourceParams/parameter/name", 0 );
      digester.addCallParam( prefix + "resourceParams/parameter/value", 1 );
   }
}