/*=============================================================================*
 *  Copyright 2004 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/
package org.apache.ws.util.jndi.tools;


/**    LOG-DONE
 * DOCUMENT_ME
 *
 * @author $author$
 * @version $Revision: 1.4 $
 */
public class Resource
{
   private String             description = null;
   private String             name       = null;
   private String             scope      = null;
   private String             type       = null;
   private String             auth       = null;
   private ResourceParameters parameters = null;

   /**
    * @param auth The auth to set.
    */
   public void setAuth( String auth )
   {
      this.auth = auth;
   }

   /**
    * @return Returns the auth.
    */
   public String getAuth(  )
   {
      return auth;
   }

   /**
    * @param description The description to set.
    */
   public void setDescription( String description )
   {
      this.description = description;
   }

   /**
    * @return Returns the description.
    */
   public String getDescription(  )
   {
      return description;
   }

   /**
    * @param name The name to set.
    */
   public void setName( String name )
   {
      this.name = name;
   }

   /**
    * @return Returns the name.
    */
   public String getName(  )
   {
      return name;
   }

   /**
    * @param parameters The parameters to set.
    */
   public void setParameters( ResourceParameters parameters )
   {
      this.parameters = parameters;
   }

   /**
    * @return Returns the parameters.
    */
   public ResourceParameters getParameters(  )
   {
      return parameters;
   }

   /**
    * @param scope The scope to set.
    */
   public void setScope( String scope )
   {
      this.scope = scope;
   }

   /**
    * @return Returns the scope.
    */
   public String getScope(  )
   {
      return scope;
   }

   /**
    * @param type The type to set.
    */
   public void setType( String type )
   {
      this.type = type;
   }

   /**
    * @return Returns the type.
    */
   public String getType(  )
   {
      return type;
   }

   /**
    * DOCUMENT_ME
    *
    * @return DOCUMENT_ME
    */
   public String toString(  )
   {
      StringBuffer out = new StringBuffer(  );
      out.append( "        <resource name=\"" );
      out.append( this.name );
      out.append( "\" \r\n" );
      out.append( "                  type=\"" );
      out.append( this.type );
      if ( this.scope != null )
      {
         out.append( "\"\r\n" );
         out.append( "                  scope=\"" );
         out.append( this.scope );
      }

      if ( this.auth != null )
      {
         out.append( "\"\r\n" );
         out.append( "                  auth=\"" );
         out.append( this.auth );
      }

      if ( this.description != null )
      {
         out.append( "\"\r\n" );
         out.append( "                  auth=\"" );
         out.append( this.description );
      }

      out.append( "\">\r\n" );
      if ( this.parameters != null )
      {
         out.append( this.parameters.toString(  ) );
      }

      out.append( "        </resource>\r\n" );
      return out.toString(  );
   }
}