/*=============================================================================*
 *  Copyright 2004 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/
package org.apache.ws.util.jndi.tools;

import java.util.HashMap;
import java.util.Iterator;
import java.util.Map;
import java.util.Set;

/**  LOG-DONE
 * DOCUMENT_ME
 *
 * @author $author$
 * @version $Revision: 1.4 $
 */
public class ResourceParameters
{
   private Map parameters = new HashMap(  );

   /**
    * DOCUMENT_ME
    *
    * @param name DOCUMENT_ME
    *
    * @return DOCUMENT_ME
    */
   public String getParameter( String name )
   {
      return (String) this.parameters.get( name );
   }

   /**
    * DOCUMENT_ME
    *
    * @return DOCUMENT_ME
    */
   public Set getParameterNames(  )
   {
      return this.parameters.keySet(  );
   }

   /**
    * DOCUMENT_ME
    *
    * @param name  DOCUMENT_ME
    * @param value DOCUMENT_ME
    */
   public void addParameter( String name,
                             String value )
   {
      this.parameters.put( name, value );
   }

   /**
    * DOCUMENT_ME
    *
    * @return DOCUMENT_ME
    */
   public String toString(  )
   {
      StringBuffer out          = new StringBuffer(  );
      Set          names;
      String       name;
      Iterator     nameIterator;

      out.append( "            <resourceParams>\r\n" );

      names           = this.getParameterNames(  );
      nameIterator    = names.iterator(  );

      while ( nameIterator.hasNext(  ) )
      {
         name = (String) nameIterator.next(  );
         out.append( "                <parameter>\r\n" );
         out.append( "                    <name>\r\n" );
         out.append( "                        " );
         out.append( name );
         out.append( "\r\n" );
         out.append( "                    </name>\r\n" );
         out.append( "                    <value>\r\n" );
         out.append( "                        " );
         out.append( this.parameters.get( name ) );
         out.append( "\r\n" );
         out.append( "                    </value>\r\n" );
         out.append( "                </parameter>\r\n" );
      }

      out.append( "            </resourceParams>\r\n" );

      return out.toString(  );
   }
}