/*=============================================================================*
 *  Copyright 2004 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/
package org.apache.ws.util.lock;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.ws.util.i18n.Keys;
import org.apache.ws.util.i18n.Messages;
import org.apache.ws.util.i18n.MessagesImpl;

import java.util.HashMap;
import java.util.Map;

/**
 * Manages a set of locks.
 */
public class LockManager
{
   private static final Log LOG = LogFactory.getLog( LockManager.class );
   public static final Messages MSG = MessagesImpl.getInstance();

   private Map m_locks;

   /**
    * Creates a new {@link LockManager} object.
    */
   public LockManager(  )
   {
      m_locks = new HashMap(  );
   }

   /**
    * DOCUMENT_ME
    *
    * @param key DOCUMENT_ME
    *
    * @return DOCUMENT_ME
    */
   public synchronized Lock getLock( Object key )
   {

      LOG.trace(MSG.getMessage( Keys.GET_LOCK_FOR_KEY,key));
      Lock lock = (Lock) m_locks.get( key );
      if ( lock == null )
      {
         lock = new Lock( this, key );
         m_locks.put( key, lock );
      }

      return lock;
   }

   /**
    * DOCUMENT_ME
    *
    * @param key DOCUMENT_ME
    *
    * @return DOCUMENT_ME
    */
   public synchronized Lock removeLock( Object key )
   {
      LOG.trace(MSG.getMessage( Keys.REMOVING_LCK_FOR_KEY,key));
      return (Lock) m_locks.remove( key );
   }
}