/*=============================================================================*
 *  Copyright 2004 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/
package org.apache.ws.util.work;

import commonj.work.WorkEvent;
import commonj.work.WorkException;
import commonj.work.WorkItem;

/**
 * LOG-DONE
 * DOCUMENT_ME
 *
 * @author $author$
 * @version $Revision: 1.5 $
 */
public class WorkEventImpl
   implements WorkEvent
{
   private WorkException exception;
   private int           type;
   private WorkItem      workItem;

   /**
    * @param type
    * @param work
    */
   public WorkEventImpl( int      type,
                         WorkItem work )
   {
      this( null, type, work );
   }

   /**
    * @param exception
    * @param type
    * @param work
    */
   public WorkEventImpl( WorkException exception,
                         int           type,
                         WorkItem      work )
   {
      this.exception    = exception;
      this.type         = type;
      this.workItem     = work;
   }

   /* (non-Javadoc)
    * @see commonj.workItem.WorkEvent#getException()
    */
   public WorkException getException(  )
   {
      return this.exception;
   }

   /* (non-Javadoc)
    * @see commonj.workItem.WorkEvent#getType()
    */
   public int getType(  )
   {
      return this.type;
   }

   /* (non-Javadoc)
    * @see commonj.workItem.WorkEvent#getWork()
    */
   public WorkItem getWorkItem(  )
   {
      return this.workItem;
   }
}