/*=============================================================================*
 *  Copyright 2004 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/
package org.oasisOpen.docs.wsrf.x2005.x01.wsrfInterop20Draft03Wsdl;

import org.apache.ws.resource.ResourceContext;
import org.apache.ws.resource.handler.ServiceSoapMethodNameMap;
import org.apache.ws.resource.handler.SoapMethodNameMap;
import javax.xml.namespace.QName;

/**
 * This class should be generated on every "generation" against the WSDL.
 * This will ensure it is always up-to-date with the WSDL.
 *
 * NOTE: This class is generated and is NOT meant to be modified.
 */
public abstract class AbstractJobPortService
   implements org.apache.ws.resource.handler.WsrfService,
              org.apache.ws.resource.lifetime.v1_2_draft04.porttype.ImmediateResourceTerminationPortType,
              org.apache.ws.resource.lifetime.v1_2_draft04.porttype.ScheduledResourceTerminationPortType,
              org.apache.ws.resource.properties.v1_2_draft05.porttype.GetResourcePropertyPortType
{
   /** DOCUMENT_ME */
   public static final String TARGET_NSURI    =
      "http://docs.oasis-open.org/wsrf/2005/01/wsrf-Interop-2.0-draft-03.wsdl";

   /** DOCUMENT_ME */
   public static final String TARGET_NSPREFIX = "wsrf-Interop-2.0-draft-03.wsdl";

   /**
    * DOCUMENT_ME
    */
   private ServiceSoapMethodNameMap m_methodNameMap;

   /**
    * DOCUMENT_ME
    */
   private boolean m_isInitialized;

   /**
    * DOCUMENT_ME
    *
    * @param requestQname DOCUMENT_ME
    *
    * @return DOCUMENT_ME
    */
   public String getMethodName( QName requestQname )
   {
      if ( !m_isInitialized )
      {
         init(  );
      }

      return m_methodNameMap.getMethodName( requestQname );
   }

   /**
    * DOCUMENT_ME
    *
    * @return DOCUMENT_ME
    */
   public abstract ResourceContext getResourceContext(  );

   /**
    * DOCUMENT_ME
    *
    * @return DOCUMENT_ME
    */
   public final SoapMethodNameMap getMethodNameMap(  )
   {
      return m_methodNameMap;
   }

   /**
    * DOCUMENT_ME
    *
    * @param requestDoc DOCUMENT_ME
    *
    * @return DOCUMENT_ME
    */
   public org.oasisOpen.docs.wsrf.x2004.x11.wsrfWSResourceProperties12Draft05.GetResourcePropertyResponseDocument getResourceProperty( org.oasisOpen.docs.wsrf.x2004.x11.wsrfWSResourceProperties12Draft05.GetResourcePropertyDocument requestDoc )
   {
      return new org.apache.ws.resource.properties.v1_2_draft05.porttype.impl.GetResourcePropertyPortTypeImpl( getResourceContext(  ) )
             .getResourceProperty( requestDoc );
   }

   /**
    * DOCUMENT_ME
    *
    * @param requestDoc DOCUMENT_ME
    *
    * @return DOCUMENT_ME
    */
   public org.oasisOpen.docs.wsrf.x2004.x11.wsrfWSResourceLifetime12Draft04.SetTerminationTimeResponseDocument setTerminationTime( org.oasisOpen.docs.wsrf.x2004.x11.wsrfWSResourceLifetime12Draft04.SetTerminationTimeDocument requestDoc )
   {
      return new org.apache.ws.resource.lifetime.v1_2_draft04.porttype.impl.ScheduledResourceTerminationPortTypeImpl( getResourceContext(  ) )
             .setTerminationTime( requestDoc );
   }

   /**
    * DOCUMENT_ME
    *
    * @param requestDoc DOCUMENT_ME
    *
    * @return DOCUMENT_ME
    */
   public org.oasisOpen.docs.wsrf.x2004.x11.wsrfWSResourceLifetime12Draft04.DestroyResponseDocument destroy( org.oasisOpen.docs.wsrf.x2004.x11.wsrfWSResourceLifetime12Draft04.DestroyDocument requestDoc )
   {
      return new org.apache.ws.resource.lifetime.v1_2_draft04.porttype.impl.ImmediateResourceTerminationPortTypeImpl( getResourceContext(  ) )
             .destroy( requestDoc );
   }

   /**
    * DOCUMENT_ME
    */
   public void init(  )
   {
      m_methodNameMap = new ServiceSoapMethodNameMap( getResourceContext(  ) );
      m_methodNameMap.addMapping( javax.xml.namespace.QName.valueOf( "{http://docs.oasis-open.org/wsrf/2005/01/wsrf-Interop-2.0-draft-03.xsd}Send_DocumentRequest" ),
                                  "Send_Document" );
      m_isInitialized = true;
   }

   /**
    * DOCUMENT_ME
    *
    * @return DOCUMENT_ME
    */
   protected final boolean isInitialized(  )
   {
      return m_isInitialized;
   }
}