/*=============================================================================*
 *  Copyright 2004 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/
package org.oasisOpen.docs.wsrf.x2005.x01.wsrfInterop20Draft03Wsdl;


/**
 * An abstract PrinterPort WS-Resource.
 * <p/>
 * NOTE: This class is generated and is NOT meant to be modified.
 */
public abstract class AbstractPrinterPortResource
   implements org.apache.ws.resource.PropertiesResource
{
   /**
    * The resource ID of the instance.
    */
   protected String m_id;

   /**
    * The set of properties associated with this resource.
    */
   protected org.apache.ws.resource.properties.ResourcePropertySet m_propSet;

   /**
    * DOCUMENT_ME
    *
    * @param id DOCUMENT_ME
    */
   public void setID( Object id )
   {
      if ( m_id != null )
      {
         throw new IllegalStateException( "This resource's ID has already been set." );
      }

      try
      {
         m_id = (String) id;
      }
      catch ( ClassCastException cce )
      {
         throw new IllegalArgumentException( "Specified ID is not a String." );
      }
   }

   /**
    * DOCUMENT_ME
    *
    * @return DOCUMENT_ME
    */
   public Object getID(  )
   {
      return m_id;
   }

   /**
    * @see org.apache.ws.resource.PropertiesResource#setResourcePropertySet(org.apache.ws.resource.properties.ResourcePropertySet)
    */
   public void setResourcePropertySet( org.apache.ws.resource.properties.ResourcePropertySet propSet )
   {
      m_propSet = propSet;
   }

   /**
    * @see org.apache.ws.resource.PropertiesResource#getResourcePropertySet()
    */
   public org.apache.ws.resource.properties.ResourcePropertySet getResourcePropertySet(  )
   {
      return m_propSet;
   }

   /**
    * DOCUMENT_ME
    */
   public void destroy(  )
   {
      return;
   }

   /**
    * DOCUMENT_ME
    */
   public void init(  )
   {
      org.oasisOpen.docs.wsrf.x2005.x01.wsrfInterop20Draft03.PrinterPropertiesDocument propsDoc =
         org.oasisOpen.docs.wsrf.x2005.x01.wsrfInterop20Draft03.PrinterPropertiesDocument.Factory.newInstance(  );
      m_propSet = new org.apache.ws.resource.properties.impl.XmlBeansResourcePropertySet( propsDoc );

      // initialize wsrp:QueryExpressionDialect property
      org.apache.ws.resource.properties.ResourceProperty                                                 queryProp                      =
         m_propSet.get( org.apache.ws.resource.properties.v1_2_draft05.porttype.QueryResourcePropertiesPortType.PROP_QNAME_QUERY_EXPRESSION_DIALECT );
      org.oasisOpen.docs.wsrf.x2004.x11.wsrfWSResourceProperties12Draft05.QueryExpressionDialectDocument queryExpressionDialectDocument =
         org.oasisOpen.docs.wsrf.x2004.x11.wsrfWSResourceProperties12Draft05.QueryExpressionDialectDocument.Factory
         .newInstance(  );
      queryExpressionDialectDocument.setQueryExpressionDialect( org.apache.ws.resource.properties.query.QueryConstants.DIALECT_URI__XPATH1_0
                                                                .toString(  ) );
      queryProp.add( queryExpressionDialectDocument );
   }
}