/*=============================================================================*
 *  Copyright 2004 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/
package org.oasisOpen.docs.wsrf.x2005.x01.wsrfInterop20Draft03Wsdl;

import org.apache.ws.resource.ResourceContext;
import org.apache.ws.resource.handler.ServiceSoapMethodNameMap;
import org.apache.ws.resource.handler.SoapMethodNameMap;
import javax.xml.namespace.QName;

/**
 * This class should be generated on every "generation" against the WSDL.
 * This will ensure it is always up-to-date with the WSDL.
 *
 * NOTE: This class is generated and is NOT meant to be modified.
 */
public abstract class AbstractPrinterPortService
   implements org.apache.ws.resource.handler.WsrfService,
              org.apache.ws.resource.properties.v1_2_draft05.porttype.GetMultipleResourcePropertiesPortType,
              org.apache.ws.resource.properties.v1_2_draft05.porttype.SetResourcePropertiesPortType,
              org.apache.ws.resource.properties.v1_2_draft05.porttype.UpdateResourcePropertiesPortType,
              org.apache.ws.resource.properties.v1_2_draft05.porttype.InsertResourcePropertiesPortType,
              org.apache.ws.resource.properties.v1_2_draft05.porttype.GetResourcePropertyDocumentPortType,
              org.apache.ws.resource.properties.v1_2_draft05.porttype.GetResourcePropertyPortType,
              org.apache.ws.resource.properties.v1_2_draft05.porttype.QueryResourcePropertiesPortType,
              org.apache.ws.resource.properties.v1_2_draft05.porttype.DeleteResourcePropertiesPortType
{
   /** DOCUMENT_ME */
   public static final String TARGET_NSURI    =
      "http://docs.oasis-open.org/wsrf/2005/01/wsrf-Interop-2.0-draft-03.wsdl";

   /** DOCUMENT_ME */
   public static final String TARGET_NSPREFIX = "wsrf-Interop-2.0-draft-03.wsdl";

   /**
    * DOCUMENT_ME
    */
   private ServiceSoapMethodNameMap m_methodNameMap;

   /**
    * DOCUMENT_ME
    */
   private boolean m_isInitialized;

   /**
    * DOCUMENT_ME
    *
    * @param requestQname DOCUMENT_ME
    *
    * @return DOCUMENT_ME
    */
   public String getMethodName( QName requestQname )
   {
      if ( !m_isInitialized )
      {
         init(  );
      }

      return m_methodNameMap.getMethodName( requestQname );
   }

   /**
    * DOCUMENT_ME
    *
    * @return DOCUMENT_ME
    */
   public abstract ResourceContext getResourceContext(  );

   /**
    * DOCUMENT_ME
    *
    * @return DOCUMENT_ME
    */
   public final SoapMethodNameMap getMethodNameMap(  )
   {
      return m_methodNameMap;
   }

   /**
    * DOCUMENT_ME
    *
    * @param requestDoc DOCUMENT_ME
    *
    * @return DOCUMENT_ME
    */
   public org.oasisOpen.docs.wsrf.x2004.x11.wsrfWSResourceProperties12Draft05.GetMultipleResourcePropertiesResponseDocument getMultipleResourceProperties( org.oasisOpen.docs.wsrf.x2004.x11.wsrfWSResourceProperties12Draft05.GetMultipleResourcePropertiesDocument requestDoc )
   {
      return new org.apache.ws.resource.properties.v1_2_draft05.porttype.impl.GetMultipleResourcePropertiesPortTypeImpl( getResourceContext(  ) )
             .getMultipleResourceProperties( requestDoc );
   }

   /**
    * DOCUMENT_ME
    *
    * @param requestDoc DOCUMENT_ME
    *
    * @return DOCUMENT_ME
    */
   public org.oasisOpen.docs.wsrf.x2004.x11.wsrfWSResourceProperties12Draft05.SetResourcePropertiesResponseDocument setResourceProperties( org.oasisOpen.docs.wsrf.x2004.x11.wsrfWSResourceProperties12Draft05.SetResourcePropertiesDocument requestDoc )
   {
      return new org.apache.ws.resource.properties.v1_2_draft05.porttype.impl.SetResourcePropertiesPortTypeImpl( getResourceContext(  ) )
             .setResourceProperties( requestDoc );
   }

   /**
    * DOCUMENT_ME
    *
    * @param requestDoc DOCUMENT_ME
    *
    * @return DOCUMENT_ME
    */
   public org.oasisOpen.docs.wsrf.x2004.x11.wsrfWSResourceProperties12Draft05.GetResourcePropertyResponseDocument getResourceProperty( org.oasisOpen.docs.wsrf.x2004.x11.wsrfWSResourceProperties12Draft05.GetResourcePropertyDocument requestDoc )
   {
      return new org.apache.ws.resource.properties.v1_2_draft05.porttype.impl.GetResourcePropertyPortTypeImpl( getResourceContext(  ) )
             .getResourceProperty( requestDoc );
   }

   /**
    * DOCUMENT_ME
    *
    * @param requestDoc DOCUMENT_ME
    *
    * @return DOCUMENT_ME
    */
   public org.oasisOpen.docs.wsrf.x2004.x11.wsrfWSResourceProperties12Draft05.GetResourcePropertyDocumentResponseDocument getResourcePropertyDocument( org.oasisOpen.docs.wsrf.x2004.x11.wsrfWSResourceProperties12Draft05.GetResourcePropertyDocumentDocument1 requestDoc )
   {
      return new org.apache.ws.resource.properties.v1_2_draft05.porttype.impl.GetResourcePropertyDocumentPortTypeImpl( getResourceContext(  ) )
             .getResourcePropertyDocument( requestDoc );
   }

   /**
    * DOCUMENT_ME
    *
    * @param requestDoc DOCUMENT_ME
    *
    * @return DOCUMENT_ME
    */
   public org.oasisOpen.docs.wsrf.x2004.x11.wsrfWSResourceProperties12Draft05.DeleteResourcePropertiesResponseDocument deleteResourceProperties( org.oasisOpen.docs.wsrf.x2004.x11.wsrfWSResourceProperties12Draft05.DeleteResourcePropertiesDocument requestDoc )
   {
      return new org.apache.ws.resource.properties.v1_2_draft05.porttype.impl.DeleteResourcePropertiesPortTypeImpl( getResourceContext(  ) )
             .deleteResourceProperties( requestDoc );
   }

   /**
    * DOCUMENT_ME
    */
   public void init(  )
   {
      m_methodNameMap = new ServiceSoapMethodNameMap( getResourceContext(  ) );
      m_methodNameMap.addMapping( javax.xml.namespace.QName.valueOf( "{http://docs.oasis-open.org/wsrf/2005/01/wsrf-Interop-2.0-draft-03.xsd}Create_JobRequest" ),
                                  "Create_Job" );
      m_methodNameMap.addMapping( javax.xml.namespace.QName.valueOf( "{http://docs.oasis-open.org/wsrf/2005/01/wsrf-Interop-2.0-draft-03.xsd}Print_JobRequest" ),
                                  "Print_Job" );
      m_isInitialized = true;
   }

   /**
    * DOCUMENT_ME
    *
    * @param requestDoc DOCUMENT_ME
    *
    * @return DOCUMENT_ME
    */
   public org.oasisOpen.docs.wsrf.x2004.x11.wsrfWSResourceProperties12Draft05.InsertResourcePropertiesResponseDocument insertResourceProperties( org.oasisOpen.docs.wsrf.x2004.x11.wsrfWSResourceProperties12Draft05.InsertResourcePropertiesDocument requestDoc )
   {
      return new org.apache.ws.resource.properties.v1_2_draft05.porttype.impl.InsertResourcePropertiesPortTypeImpl( getResourceContext(  ) )
             .insertResourceProperties( requestDoc );
   }

   /**
    * DOCUMENT_ME
    *
    * @param requestDoc DOCUMENT_ME
    *
    * @return DOCUMENT_ME
    */
   public org.oasisOpen.docs.wsrf.x2004.x11.wsrfWSResourceProperties12Draft05.QueryResourcePropertiesResponseDocument queryResourceProperties( org.oasisOpen.docs.wsrf.x2004.x11.wsrfWSResourceProperties12Draft05.QueryResourcePropertiesDocument requestDoc )
   {
      return new org.apache.ws.resource.properties.v1_2_draft05.porttype.impl.QueryResourcePropertiesPortTypeImpl( getResourceContext(  ) )
             .queryResourceProperties( requestDoc );
   }

   /**
    * DOCUMENT_ME
    *
    * @param requestDoc DOCUMENT_ME
    *
    * @return DOCUMENT_ME
    */
   public org.oasisOpen.docs.wsrf.x2004.x11.wsrfWSResourceProperties12Draft05.UpdateResourcePropertiesResponseDocument updateResourceProperties( org.oasisOpen.docs.wsrf.x2004.x11.wsrfWSResourceProperties12Draft05.UpdateResourcePropertiesDocument requestDoc )
   {
      return new org.apache.ws.resource.properties.v1_2_draft05.porttype.impl.UpdateResourcePropertiesPortTypeImpl( getResourceContext(  ) )
             .updateResourceProperties( requestDoc );
   }

   /**
    * DOCUMENT_ME
    *
    * @return DOCUMENT_ME
    */
   protected final boolean isInitialized(  )
   {
      return m_isInitialized;
   }
}