/*=============================================================================*
 *  Copyright 2004 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/
package org.oasisOpen.docs.wsrf.x2005.x01.wsrfInterop20Draft03Wsdl;

import org.apache.ws.resource.*;
import org.apache.ws.resource.impl.AbstractResourceHome;
import java.io.Serializable;

/**
 * Home for PrinterFactory WS-Resources.
 */
public class PrinterFactoryHome
   extends AbstractResourceHome
   implements Serializable
{
   private PrinterFactoryResource m_printerFactory;

   /**
    * 
    *
    * @param resourceContext DOCUMENT_ME
    *
    * @return DOCUMENT_ME
    *
    * @throws ResourceException        DOCUMENT_ME
    * @throws ResourceContextException DOCUMENT_ME
    * @throws ResourceUnknownException DOCUMENT_ME
    */
   public Resource getInstance( ResourceContext resourceContext )
   throws ResourceException, 
          ResourceContextException, 
          ResourceUnknownException
   {
      //singleton
      if ( m_printerFactory == null )
      {
         m_printerFactory = new PrinterFactoryResource(  );
         m_printerFactory.init(  );
         add(null,m_printerFactory);
      }

      return m_printerFactory;
   }
}