package org.oasisOpen.docs.wsrf;

import junit.framework.TestCase;


/**
 * @author Sal Campana
 */
public class AllScenarios extends TestCase
{
    public void testAllScenarios() throws Exception
    {
        InteropTestCase testCase = new InteropTestCase();
        testCase.setUp();

        //create printer
        testCase.createPrinter();

        //A scenarios
        testCase.testValidatePrinterInitialState();
        testCase.testGetPrinterQueueCount_SCENARIO_A1();
        testCase.testGetPrinterStateAndQueueCount_SCENARIO_A2();
        testCase.testGetPrinterResourcePropertiesDocument_SCENARIO_A3();
        testCase.testQueryResourceProperties_SCENARIO_A4();

        //B scenarios
        testCase.testUpdateResourceProperties_SCENARIO_B1();
        testCase.testFailInsertResourceProps_SCENARIO_B1_FAIL();
        testCase.testSetResourceProperties_SCENARIO_B2();
        testCase.testMultiSetResourceProps_SCENARIO_B3();
        testCase.testFailMultiSetResourceProps_SCENARIO_B3_VARIANT();
        testCase.testResetToInitialState_SCENARIO_B3_RESET();

        //C scenarios
        testCase.testPrintJob_SCENARIO_C();
        testCase.testValidatePrinterJobProperties();

        //D scenarios
        testCase.testDestroy_SCENARIO_D();

        //E scenarios
        testCase.testCreateJob_SCENARIO_E();
        testCase.testSetTerminationTime_SCENARIO_E_CONTINUED();
        testCase.testSendDocument_SCENARIO_E_CONTINUED();

        //IBM E Scenario
        testCase.testSendDocument_SCENARIO_E_IBM();
        testCase.tearDown();
    }

}
