package example.filesystem.callback;

import org.apache.ws.resource.properties.ResourcePropertyCallback;
import org.apache.ws.resource.properties.ResourceProperty;
import org.apache.ws.resource.example.filesystem.MountPointDirectoryDocument;
import org.apache.xmlbeans.XmlString;
import example.filesystem.backend.FileSystem;

/**
 * A callback for the MountPoint resource property.
 */
public class MountPointCallback  implements ResourcePropertyCallback
{
    FileSystem m_fileSystem;

    public MountPointCallback(FileSystem fileSystem)
    {
        m_fileSystem = fileSystem;
    }

    public ResourceProperty refreshProperty(ResourceProperty prop)
    {
        XmlString xString = (XmlString) prop.get( 0 );
        xString.setStringValue( m_fileSystem.getMountPoint() );
        return prop;
    }
}
