/*=============================================================================*
 *  Copyright 2004 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/
package org.apache.ws.resource.properties;

import org.apache.ws.resource.Resource;
import org.apache.ws.resource.PropertiesResource;

import java.util.Map;

/**
 * @author Sal Campana
 */
public class SushiResource
   implements Resource, PropertiesResource
{
   /**
    * The resource ID of the instance.
    */
   public String m_id;

   /**
    * The ResourceProperty Set containing the resource props.
    */
   ResourcePropertySet m_propSet;

   /**
    * DOCUMENT_ME
    *
    * @param id DOCUMENT_ME
    */
   public void setID( Object id )
   {
      if ( m_id != null )
      {
         throw new IllegalStateException( "This resource's ID has already been set." );
      }

      try
      {
         m_id = (String) id;
      }
      catch ( ClassCastException cce )
      {
         throw new IllegalArgumentException( "Specified ID is not a String." );
      }
   }

   /**
    * DOCUMENT_ME
    *
    * @return DOCUMENT_ME
    */
   public Object getID(  )
   {
      return m_id;
   }

    public void destroy()
    {

    }

    public void init()
    {

    }

    /**
    * DOCUMENT_ME
    *
    * @param propSet DOCUMENT_ME
    */
   public void setResourcePropertySet( ResourcePropertySet propSet )
   {
      m_propSet = propSet;
   }

   /**
    * DOCUMENT_ME
    *
    * @return DOCUMENT_ME
    */
   public ResourcePropertySet getResourcePropertySet(  )
   {
      return m_propSet;
   }
}