/*=============================================================================*
 *  Copyright 2004 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/
package org.apache.ws.resource.properties.impl;

import junit.framework.Test;
import junit.framework.TestResult;
import junit.framework.TestSuite;
import junit.textui.TestRunner;
import org.apache.ws.resource.properties.AbstractResourcePropertiesTestCase;
import org.apache.ws.resource.properties.SushiPropertyQNames;
import org.apache.ws.resource.properties.ResourcePropertyMetaData;

/**
 * Test case for {@link XmlBeansResourcePropertySet}.
 *
 * @author Ian P. Springer
 */
public class XmlBeansResourcePropertySetMetaDataTestCase
   extends AbstractResourcePropertiesTestCase
{

   /**
    * DOCUMENT_ME
    *
    * @throws Exception DOCUMENT_ME
    */
   public void setUp(  )
   throws Exception
   {
      initResourcePropsDoc();
   }

   /**
    * DOCUMENT_ME
    *
    * @param args DOCUMENT_ME
    */
   public static void main( String[] args )
   {
      TestResult result = TestRunner.run( XmlBeansResourcePropertySetMetaDataTestCase.suite(  ) );
      if ( !result.wasSuccessful(  ) )
      {
         System.exit( 1 );
      }
   }

   /**
    * DOCUMENT_ME
    *
    * @return DOCUMENT_ME
    */
   public static Test suite(  )
   {
      return new TestSuite( XmlBeansResourcePropertySetMetaDataTestCase.class );
   }

   /**
    * DOCUMENT_ME
    *
    * @throws Exception DOCUMENT_ME
    */
   public void testGetName(  )
   throws Exception
   {
      assertEquals( SushiPropertyQNames.OPEN_SUSHI_PROPERTIES,
                    m_resourcePropSet.getMetaData().getName(  ) );
   }

   /**
    * DOCUMENT_ME
    *
    * @throws Exception DOCUMENT_ME
    */
   public void testPropertyMetaDatas(  )
   throws Exception
   {
       ResourcePropertyMetaData[] propMetaDatas = m_resourcePropSet.getMetaData().getPropertyMetaDatas();
       assertEquals( 9, propMetaDatas.length );
       for ( int i = 0; i < propMetaDatas.length; i++ )
       {
           boolean expectedReadOnly = propMetaDatas[i].getName().equals( SushiPropertyQNames.OHTORO );
           assertEquals( expectedReadOnly, propMetaDatas[i].isReadOnly() );
       }
   }

   /**
    * DOCUMENT_ME
    *
    * @throws Exception DOCUMENT_ME
    */
   public void testIsOpenContent(  )
   throws Exception
   {
      assertTrue( m_resourcePropSet.getMetaData().isOpenContent(  ) );
   }
}